# Update user assignment

Updates the matching user assignment.

Typical parameters:

- starts_at
- ends_at
- allocation_mode (percent, hours_per_day, fixed) and a value for the respective mode-named property (that is, a property named percent, hours_per_day, or fixed_hours)
- status_option_id
- description
- note

Note: If you want to change an assignment to target a different project or phase, then delete the assignment and create a new assignment targeting the new project or phase.

Endpoint: PUT /users/{user_id}/assignments/{assignment_id}
Version: v1
Security: AuthToken

## Header parameters:

  - `Content-Type` (string, required)
    Enum: "application/json"

## Path parameters:

  - `user_id` (integer, required)
    Unique identifier for the resource instance.
    Example: 1234567

  - `assignment_id` (integer, required)
    Unique identifier for the resource instance.
    Example: 889


